#ifdef STATISTICS
#include "Behavioural/include/Stat.h"

namespace morpheo {
namespace behavioural {  
  void Stat::end_cycle (void)
  {
    cycle_t _cycle_sum = sc_simulation_time();

    if (_cycle_sum >= _nb_cycle_before_begin)
      {
	(*_cycle) ++;

	eval_exprs(true);

	test_and_save(false);
      }
  }
};  
};
#endif
